import type { UserInfo } from '@vben/types';

import { requestClient } from '#/api/request';
export interface UserData {
  code : number;
  message : string;
  data: object[];
  total: number;
}
export interface UserListParam {
  Id: number;
  Uid?: number;
  ServerId: number;
  pageSize: number;
  currentPage: number;
  StartTime?: number;
  EndTime?: number;
  Nickname?: string;
}


/**
 * 获取用户信息
 */
export async function getUserInfoApi() {
  return requestClient.get<UserInfo>('/user/info');
}


export async function getUserListApi(data : UserListParam) {
  return requestClient.post<UserData>('/user/list', data);
}

export async function userGmApi(data : object) {
  return requestClient.post('/user/gm', data);
}

export async function userBanApi(data : object) {
  return requestClient.post('/user/ban', data);
}




 